function getCustomGradient(maxCount, gradient = 2) {	
	let i = 0,
    gradientList = [];
    
	while (i < maxCount) {
    if (i === 1 || i === 0) {
      gradientList.push(i);
    } else if (i % gradient === 0) {
			gradientList.push(i);
    }
    i++
  }
  
  return gradientList
}

function getCustomSpacing(maxCount) {
  const gradientList = getCustomGradient(maxCount)
  return gradientList.reduce((acc, item) => {
    acc[item] = item + 'px'
    return acc
  }, {})
}

module.exports = {
	theme: {
		spacing: { ...getCustomSpacing(96) }
	}
};
